:root {
    --default-modal-horizontal-padding: 14.28mm;
    --large-border-radius: 30mm;
}

#content {
    flex-grow: 1;
    position: relative;
}

.skeleton-element-small {
    background-color: var(--general-border-color);
    border-radius: var(--large-border-radius);
    min-height: var(--global-medium-size);
}
.skeleton-element-large {
    background-color: var(--general-border-color);
    border-radius: var(--large-border-radius);
    min-height: calc(var(--global-largest-size) + var(--global-small-size));
}
.card-group-blocked-content {
    opacity: 50%;
    user-select: none;
    pointer-events: none;
}

.admin-navbar-attrs {
    width: 338.6mm;
}
.admin-navbar-button-size {
    height: 6.35mm;
}
.auth-header {
    font-weight: 800;
    font-size: 31.5pt;
    line-height: 37.5pt;
}
.auth-subheader {
    margin-bottom: 14.81mm;
}
.auth-form-field {
    height: 13.75mm;
}
.admin-navbar-padding {
    padding-right: 13.22mm;
}
.admin-panel-logo {
    font-weight: 500;
    font-size: 18pt;
    line-height: 7.40mm;
    color: var(--general-default-color);
}

.uk-default-button-icon:hover {
    fill: var(--general-overlay-color);
}
.dropdown-list-maxsize-default {
    max-height: 114.3mm;
}

.card-group {
   width: 330.2mm;
}
.card-header-flex {
    padding: var(--global-medium-size) var(--global-largest-size) 0mm var(--global-largest-size);
}
.card-header-input {
    border-width: 0mm;
    color: rgba(24, 24, 25, 1);
    font-size: 24pt;
    line-height: 28.125pt;
    font-weight: 500;
    padding-top: var(--global-small-size);
    padding-bottom: var(--global-small-size);
    background-color: transparent!important;
}
.card-group-body {
    padding: 0mm var(--global-largest-size) var(--global-medium-size) var(--global-largest-size);
}
.card-group-body-network-input {
    border-radius: calc(var(--global-small-size) / 4);
    height: var(--global-large-size);
    padding: calc(var(--global-small-size) / 2)!important;
    background-color: transparent!important;
}
.card-group-body-network-input:focus {
    border: 1px solid #000000;
}
.card-group-body-network-input:not(:focus) {
    border: 1px solid transparent;
}

.modal-radio-size {
    width: 6.35mm;
    height: 6.35mm;
}
.modal-userinfo-min-size {
    min-width: 283mm;
    min-height: 211mm;
}
.modal-userinfo-header {
    font-size: 24pt;
    line-height: 29pt;
    font-weight: 500;
    padding: var( --global-largest-size) var(--default-modal-horizontal-padding) var( --global-large-size);
}
.modal-userinfo-body {
    padding: 0 var(--default-modal-horizontal-padding) var( --global-largest-size);
}
.modal-checkbox-size-default {
    width: 4.76mm;
    height: 4.76mm;
}
.uk-content-hover {
    color: var(--general-primary-color)
}
.uk-content-hover:hover {
    color: var(--general-hover-color)
}
.cursor-pointer {
    cursor: pointer;
}
.border-radius-medium {
    border-radius: 3.175mm;
}
.pointer-events-none {
    pointer-events: none;
}

[class*="icon-hover"] {
    padding: 4px 4px;
}
.icon-button-default-hover:hover {
    fill: var(--general-secondary-color);
}
.icon-hover-muted:hover {
    background-color: var(--general-muted-color);
    border-radius: 4px;
}
.icon-hover-tertiary:hover {
    background-color: var(--general-tertiary-color);
    border-radius: 4px;
}
.icon-hover-inverse:hover {
    background-color: var(--general-default-color);
    border-radius: 4px;
}

.uk-table-hover tr:hover td:first-child {
    border-radius:4px 0 0 4px;
}
.uk-table-hover tr:hover td:last-child {
    border-radius:0 4px 4px 0;
}
.uk-list-hover *:hover {
    background-color: var(--general-border-color);
    cursor: pointer;
}
.uk-table-custom-hover-first-element:hover td:nth-child(1) {
    color: var(--general-primary-color)!important;
    text-decoration: underline;
}
.uk-table-custom-hover-first-element:not(:hover) td:nth-child(1) {
    color: var(--general-secondary-color)!important;
    text-decoration: none;
}
.uk-table-custom-hover-second-element:hover td:nth-child(2) {
    color: var(--general-primary-color)!important;
    text-decoration: underline;
}
.uk-table-custom-hover-second-element:not(:hover) td:nth-child(2) {
    color: var(--general-secondary-color)!important;
    text-decoration: none;
}
.uk-table-custom-hover-third-element:hover td:nth-child(3) {
    color: var(--general-primary-color)!important;
    text-decoration: underline;
}
.uk-table-custom-hover-third-element:not(:hover) td:nth-child(3) {
    color: var(--general-secondary-color)!important;
    text-decoration: none;
}
.uk-text-transform-none {
    text-transform: none!important;
}
.uk-custom-padding-small {
    padding: var(--global-small-size)!important;
}
.uk-custom-padding-small-right {
    padding-right: var(--global-small-size)!important;
}
.uk-custom-padding-small-left {
    padding-left: var(--global-small-size)!important;
}
.uk-custom-padding-small-top {
    padding-top: var(--global-small-size)!important;
}
.uk-custom-padding-small-bottom {
    padding-bottom: var(--global-small-size)!important;
}
.uk-padding-small-horizontal {
    padding-right: var(--global-small-size)!important;
    padding-left: var(--global-small-size)!important;
}
.uk-padding-medium-horizontal {
    padding-right: var(--global-medium-size)!important;
    padding-left: var(--global-medium-size)!important;
}
.uk-padding-large-horizontal {
    padding-right: var(--global-largest-size)!important;
    padding-left: var(--global-largest-size)!important;
}
.uk-padding-small-vertical {
    padding-top: var(--global-small-size)!important;
    padding-bottom: var(--global-small-size)!important;
}
.uk-padding-medium-vertical {
    padding-top: var(--global-medium-size)!important;
    padding-bottom: var(--global-medium-size)!important;
}
.uk-padding-large-vertical {
    padding-top: var(--global-largest-size)!important;
    padding-bottom: var(--global-largest-size)!important;
}
.uk-custom-padding-medium-top {
    padding-top: var(--global-medium-size)!important;
}
.uk-custom-padding-medium-bottom {
    padding-bottom: var(--global-medium-size)!important;
}

.uk-custom-padding-medium-right {
    padding-right: var(--global-medium-size)!important;
}

.uk-custom-padding-medium-left {
    padding-left: var(--global-medium-size)!important;
}
.uk-custom-padding-large-top {
    padding-top: var(--global-largest-size)!important;
}
.uk-custom-padding-large-bottom {
    padding-bottom: var(--global-largest-size)!important;
}

.uk-custom-padding-large-right {
    padding-right: var(--global-largest-size)!important;
}

.uk-custom-padding-large-left {
    padding-left: var(--global-largest-size)!important;
}

.uk-custom-margin-small-right {
    margin-right: var(--global-small-size)!important;
}
.uk-custom-margin-small-left {
    margin-left: var(--global-small-size)!important;
}
.uk-custom-margin-small-top {
    margin-top: var(--global-small-size)!important;
}
.uk-custom-margin-small-bottom {
    margin-bottom: var(--global-small-size)!important;
}

.uk-custom-margin-medium-right {
    margin-right: var(--global-medium-size)!important;
}
.uk-custom-margin-medium-left {
    margin-left: var(--global-medium-size)!important;
}
.uk-custom-margin-medium-top {
    margin-top: var(--global-medium-size)!important;
}
.uk-custom-margin-medium-bottom {
    margin-bottom: var(--global-medium-size)!important;
}

.uk-custom-margin-large-right {
    margin-right: var(--global-large-size)!important;
}
.uk-custom-margin-large-left {
    margin-left: var(--global-large-size)!important;
}
.uk-custom-margin-large-top {
    margin-top: var(--global-large-size)!important;
}
.uk-custom-margin-large-bottom {
    margin-bottom: var(--global-large-size)!important;
}

.uk-button-default.uk-active, .uk-button-default:active {
    background-color: var(--general-primary-color);
    color: var(--general-default-color);
    border-color: var(--general-primary-color);
}
.uk-button-default not[uk-active], .uk-button-default:not(active) {
    color: var(--general-secondary-color);
}
.uk-custom-margin-horizontal-small {
    margin-left: var(--global-small-size)!important;
    margin-right: var(--global-small-size)!important;
}
.uk-custom-margin-horizontal-medium {
    margin-left: var(--global-medium-size)!important;
    margin-right: var(--global-medium-size)!important;
}
.uk-custom-margin-horizontal-large {
    margin-left: var(--global-large-size)!important;
    margin-right: var(--global-large-size)!important;
}
.uk-custom-margin-horizontal-largest {
    margin-left: var(--global-largest-size)!important;
    margin-right: var(--global-largest-size)!important;
}

.uk-custom-margin-vertical-small {
    margin-top: var(--global-small-size)!important;
    margin-bottom: var(--global-small-size)!important;
}
.uk-custom-margin-vertical-medium {
    margin-top: var(--global-medium-size)!important;
    margin-bottom: var(--global-medium-size)!important;
}
.uk-custom-margin-vertical-large {
    margin-top: var(--global-large-size)!important;
    margin-bottom: var(--global-large-size)!important;
}
.uk-custom-margin-vertical-largest {
    margin-top: var(--global-largest-size)!important;
    margin-bottom: var(--global-largest-size)!important;
}

#root {
    display: flex;
    flex-direction: column;
    height: 100vh;
}

.map {
    height: 100%;
}
